## dill 0.3.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = dill
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
	-rm -f $(BUILDDIR)/../../scripts/_*py
	-rm -f $(BUILDDIR)/../../scripts/_*pyc

## dill 0.2.1

=== debian/changelog ===
dill (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #771596).

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 30 Nov 2014 16:38:44 -0600

=== debian/control ===
Source: dill
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josue Ortega <josueortega@debian.org.gt>
Build-Depends: debhelper (>= 9),
 python-setuptools (>=5.5.1),
 python-all (>= 2.7.8),
 python3-all,
 python3-setuptools (>=5.5.1)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Homepage: https://github.com/uqfoundation/dill
Vcs-Git: git://anonscm.debian.org/collab-maint/python-dill.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/python-dill.git

Package: python-dill
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-ctypeslib (>= 0.0.0+svn20100125)
Suggests: python-objgraph (>= 1.8.1)
Description: Serialize all of Python (almost)
 Dill extends Python's 'pickle' module for serializing and de-serializing Python
 objects to the majority of the built-in Python types.
 Dill provides the user the same interface as the 'pickle' module, and also
 includes some additional features. In addition to pickling Python objects,
 dill provides the ability to save the state of an interpreter session in a
 single command.
 Dill can be used to store Python objects to a file, but the primary usage is to
 send Python objects across the network as a byte stream.

Package: python3-dill
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python-ctypeslib (>= 0.0.0+svn20100125)
Suggests: python3-objgraph (>= 1.8.1)
Description: Serialize all of Python 3 (almost)
 Dill extends Python 3's 'pickle' module for serializing and
 de-serializing Python 3 objects to the majority of the built-in Python 3 types.
 Dill provides the user the same interface as the 'pickle' module, and also
 includes some additional features. In addition to pickling Python 3 objects,
 dill provides the ability to save the state of an interpreter session in a
 single command.
 Dill can be used to store Python 3 objects to a file, but the primary usage is
 to send Python 3 objects across the network as a byte stream.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dill-$1\.tar\.gz/ \
  https://github.com/uqfoundation/dill/releases .*/v*(\d\S*)\.tar\.gz

## dill 0.2.3

=== debian/changelog ===
dill (0.2.3-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Aug 2015 11:33:14 -0400

dill (0.2.3-1) unstable; urgency=medium

  * New upstream release:
    - Updated debian/patches.
  * debian/watch: Fixed versioning format, since upstream changed it.
  * debian/control: Added missing dh-python dependency

 -- Josue Ortega <josueortega@debian.org.gt>  Thu, 16 Jul 2015 23:42:46 -0600

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josueortega@debian.org.gt>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python-setuptools (>=5.5.1),
  python-all (>= 2.7.8),
  python3-all,

## dill 0.2.4

=== debian/changelog ===
dill (0.2.4-1) unstable; urgency=medium

  * New upstream release:
    - Updated debian/patches/*.
  * debian/control:
    - Changed VCS from collab-maint to python-modules repository.
    - Removed unnecessary dependencies: python-setuptools, python3-setuptools.
    - Removed version from python-all and python3-all
 -- Josue Ortega <josueortega@debian.org.gt>  Thu, 20 Aug 2015 12:06:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,14 @@
 Uploaders: Josue Ortega <josueortega@debian.org.gt>
 Build-Depends: debhelper (>= 9),
  dh-python,
- python-setuptools (>=5.5.1),
- python-all (>= 2.7.8),
- python3-all,
- python3-setuptools (>=5.5.1)
+ python-all,
+ python3-all
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.6
 Homepage: https://github.com/uqfoundation/dill
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-dill.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/python-dill.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/dill.git
+Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/dill.git
 
 Package: python-dill
 Architecture: all

## dill 0.2.5

=== debian/changelog ===
dill (0.2.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bumped X-Python3-Version to 3.4
    - Changed Vcs-* fields to use secure uri

 -- Josue Ortega <josueortega@debian.org.gt>  Wed, 10 Feb 2016 08:12:50 -0600

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  python-all,
  python3-all
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 Standards-Version: 3.9.6
 Homepage: https://github.com/uqfoundation/dill
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/dill.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/dill.git
+Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/dill.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dill.git
 
 Package: python-dill
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export PYBUILD_NAME=dill

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## dill 0.2.7.1

=== debian/changelog ===
dill (0.2.7.1-1) unstable; urgency=medium

  * New upstream release (0.2.7.1)
  * debian/control:
    - Bumps X-Python3-Version to 3.5.
    - Bumps Standards-Version to 4.0.1 no changes required.

 -- Josue Ortega <josue@debian.org>  Sat, 12 Aug 2017 22:11:06 -0400

dill (0.2.7-1) unstable; urgency=medium

  * New upstream release (0.2.7):
    - debian/copyright: Adds new copyright holder (The Uncertainty
      Quantification Foundation) and updates copyright holder range.
    - debian/rules: Adds override_dh_auto_test, upstream tests are broken using
      unnitest.
    - Adds patch to avoid installation of python scripts under `/usr/bin`.
  * debian/control:
    - Updates uploader email.
    - Bumps Standards-Version to 4.0.0: debian/copyright Format field changed
      to use https mode.

 -- Josue Ortega <josue@debian.org>  Sun, 16 Jul 2017 13:34:53 -0600

dill (0.2.5-2) unstable; urgency=medium

  * Team upload.
  * Drop obsolete depends on python-ctypeslib (Closes: #827565)
  * Fix typo in Vcs-Git field in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Jun 2016 01:39:04 -0400

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Josue Ortega <josueortega@debian.org.gt>
+Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-python,
  python-all,
  python3-all
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
-Standards-Version: 3.9.6
+X-Python3-Version: >= 3.5
+Standards-Version: 4.0.1
 Homepage: https://github.com/uqfoundation/dill
-Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/dill.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dill.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dill.git
 
 Package: python-dill
 Architecture: all
 Depends: ${misc:Depends},
- ${python:Depends},
- python-ctypeslib (>= 0.0.0+svn20100125)
+ ${python:Depends}
 Suggests: python-objgraph (>= 1.8.1)
 Description: Serialize all of Python (almost)
  Dill extends Python's 'pickle' module for serializing and de-serializing Python
@@ -33,8 +32,7 @@
 Package: python3-dill
 Architecture: all
 Depends: ${misc:Depends},
- ${python3:Depends},
- python-ctypeslib (>= 0.0.0+svn20100125)
+ ${python3:Depends}
 Suggests: python3-objgraph (>= 1.8.1)
 Description: Serialize all of Python 3 (almost)
  Dill extends Python 3's 'pickle' module for serializing and

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+#Overrides broken upstream tests

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dill-$1\.tar\.gz/ \
  https://github.com/uqfoundation/dill/tags .*/dill-*(\d\S*)\.tar\.gz

## dill 0.2.8.2

=== debian/changelog ===
dill (0.2.8.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field

  [ Josue Ortega ]
  * New upstream release (0.2.8.2-1).
  * debian/control:
    - Bumps X-Python3-Version to >= 3.6.
    - Bumps Standards-Version to 4.1.5, no changes needed.
  * Bumps compat level from 9 to 11.
  * debian/copyright:
    - Update copyright years.
    - Update debian/* copyright holder email.
    - Remove entry for dill/dill.py

 -- Josue Ortega <josue@debian.org>  Mon, 30 Jul 2018 16:06:59 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
  dh-python,
  python-all,
  python3-all
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.5
-Standards-Version: 4.0.1
+X-Python3-Version: >= 3.6
+Standards-Version: 4.1.5
 Homepage: https://github.com/uqfoundation/dill
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dill.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dill.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/dill.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/dill
 
 Package: python-dill
 Architecture: all

## dill 0.2.9

=== debian/changelog ===
dill (0.2.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Josue Ortega ]
  * New upstream release (0.2.9-1):
    - Update debian/patches
  * debian/copyright: Update copyright holders year
  * Bump Standards-Version to 4.3.0:
    - debian/control: Add Rules-Requires-Root field
  * Add CI tests

 -- Josue Ortega <josue@debian.org>  Tue, 22 Jan 2019 09:36:27 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  python-all,
  python3-all
 X-Python3-Version: >= 3.6
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: https://github.com/uqfoundation/dill
 Vcs-Git: https://salsa.debian.org/python-team/modules/dill.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dill

=== debian/tests/control ===
Test-Command: python3 -c "import dill"

## dill 0.3.0

=== debian/changelog ===
dill (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Sat, 24 Aug 2019 22:55:58 +0200

dill (0.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Josue Ortega ]
  * New upstream release (0.3.0)
  * Bump debhelper-compat to use (= 12)
  * Update debian/watch to use pypy.debian.net

 -- Josue Ortega <josue@debian.org>  Sun, 21 Jul 2019 11:27:01 -0300

=== debian/control ===
Source: dill
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all
X-Python3-Version: >= 3.6
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/uqfoundation/dill
Vcs-Git: https://salsa.debian.org/python-team/modules/dill.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/dill
Testsuite: autopkgtest-pkg-python

Package: python3-dill
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends}
Suggests: python3-objgraph (>= 1.8.1)
Description: Serialize all of Python 3 (almost)
 Dill extends Python 3's 'pickle' module for serializing and
 de-serializing Python 3 objects to the majority of the built-in Python 3 types.
 Dill provides the user the same interface as the 'pickle' module, and also
 includes some additional features. In addition to pickling Python 3 objects,
 dill provides the ability to save the state of an interpreter session in a
 single command.
 Dill can be used to store Python 3 objects to a file, but the primary usage is
 to send Python 3 objects across the network as a byte stream.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export PYBUILD_NAME=dill

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
#Overrides broken upstream tests

## dill 0.3.1.1

=== debian/changelog ===
dill (0.3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Drop ancient X-Python-Version field
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 01 Oct 2019 14:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: dill
-Section: python
-Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
 Build-Depends: debhelper-compat (= 12),
- dh-python,
- python3-all
-X-Python3-Version: >= 3.6
+               dh-python,
+               python3-all
 Standards-Version: 4.4.0
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/modules/dill
+Vcs-Git: https://salsa.debian.org/python-team/modules/dill.git
 Homepage: https://github.com/uqfoundation/dill
-Vcs-Git: https://salsa.debian.org/python-team/modules/dill.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/dill
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-dill
 Architecture: all
 Depends: ${misc:Depends},
- ${python3:Depends}
-Suggests: python3-objgraph (>= 1.8.1)
+         ${python3:Depends}
+Suggests: python3-objgraph
 Description: Serialize all of Python 3 (almost)
  Dill extends Python 3's 'pickle' module for serializing and
  de-serializing Python 3 objects to the majority of the built-in Python 3 types.

## dill 0.3.2

=== debian/changelog ===
dill (0.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update upstream copyright years
  * debian/control
    - bump compat level to 13
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jul 2020 21:09:22 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dill
 Vcs-Git: https://salsa.debian.org/python-team/modules/dill.git
 Homepage: https://github.com/uqfoundation/dill

## dill 0.3.3

=== debian/changelog ===
dill (0.3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/*
    - refresh patches

 -- Sandro Tosi <morph@debian.org>  Mon, 09 Nov 2020 20:39:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: dill
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -8,8 +8,8 @@
                dh-python,
                python3-all
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/dill
-Vcs-Git: https://salsa.debian.org/python-team/modules/dill.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/dill
+Vcs-Git: https://salsa.debian.org/python-team/packages/dill.git
 Homepage: https://github.com/uqfoundation/dill
 
 Package: python3-dill

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dill/dill-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dill 0.3.4

=== debian/changelog ===
dill (0.3.4-1) unstable; urgency=medium

  * New upstream release (0.3.4)
  * debian/control: Declare field Rules-Requires-Root as no
  * Bump Standards Version to 4.5.1. No changes required
  * Document debian/patches with forwarded as not-needed
  * Bump debian/watch to version 4

 -- Josue Ortega <josue@debian.org>  Tue, 17 Aug 2021 08:58:12 -0600

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dill
 Vcs-Git: https://salsa.debian.org/python-team/packages/dill.git
 Homepage: https://github.com/uqfoundation/dill
+Rules-Requires-Root: no
 
 Package: python3-dill
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,6 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-#Overrides broken upstream tests
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "Broken upstream tests will be skipped"
+endif

## dill 0.3.6

=== debian/changelog ===
dill (0.3.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/
    - drop patches, merged upstream
  * debian/copyright
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2022 20:21:39 -0500

dill (0.3.4-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 10:35:55 +0100

## dill 0.3.7

=== debian/changelog ===
dill (0.3.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.
  * Add missing build-dependency on python3-setuptools.

  [ Josue Ortega ]
  * New upstream version (0.3.7). (Closes: #1049835)
  * Add debian/patches/00-remove-executable-installation.patch to avoid
    executable scripts installation.
  * debian/control: Add pybuild-plugin-pyproject as build dependency.
  * debian/copyright: Update copyright holder years.
  * Add lintian override for package-contains-documentation-outside-usr-
    share-doc.

 -- Josue Ortega <josue@debian.org>  Thu, 14 Sep 2023 17:37:53 +0530

## dill 0.3.8

=== docs/Makefile ===
--- 
+++ 
@@ -24,4 +24,5 @@
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
 	-rm -f $(BUILDDIR)/../../scripts/_*py
 	-rm -f $(BUILDDIR)/../../scripts/_*pyc
+	-rm -rf $(BUILDDIR)/../../scripts/__pycache__

=== debian/changelog ===
dill (0.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jan 2024 13:13:33 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all
-Standards-Version: 4.5.1
+               python3-all,
+               python3-setuptools,
+               pybuild-plugin-pyproject
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dill
 Vcs-Git: https://salsa.debian.org/python-team/packages/dill.git
 Homepage: https://github.com/uqfoundation/dill

## dill 0.3.9

=== debian/changelog ===
dill (0.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Oct 2024 15:45:49 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-setuptools,
                pybuild-plugin-pyproject
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dill
 Vcs-Git: https://salsa.debian.org/python-team/packages/dill.git
 Homepage: https://github.com/uqfoundation/dill

## dill 0.4.0

=== debian/changelog ===
dill (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Apr 2025 11:46:18 -0400

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                pybuild-plugin-pyproject
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dill
 Vcs-Git: https://salsa.debian.org/python-team/packages/dill.git
 Homepage: https://github.com/uqfoundation/dill

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=dill
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dill/dill-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
